[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc
Modificator=0
MISR=0
S02=!SetOption
F01=FontColor
W01=!WriteKeyValue
S05=!ShowMeterGroup
H05=!HideMeterGroup
M01=!MoveMeter

[Sc4]
Meter=Shape
StringAlign=Right
DynamicVariables=1
Shape=Rectangle 0,0,13,12,2 | Fill Color #FBB# | StrokeWidth 1 | Stroke Color #FBB#
X=(([MonthStartDay]+[MeasureDay]-1)%7*(22)+7)
Y=((FLOOR(([MonthStartDay]+[MeasureDay]-1)/7))*(16)+38)
UpdateDivider=-1

[SC3]
Meter=Shape
StringAlign=Right
DynamicVariables=1
Shape=Rectangle 0,0,16,12,2 | Fill Color #FBB# | StrokeWidth 1 | Stroke Color #FBB#
UpdateDivider=-1

; MEASURES

[MeasureTime]
Measure=Time
UpdateDivider=-1

[MeasureDay]
Measure=Time
Format=%#d
OnChangeAction=!Refresh

[MDay]
Measure=Time
Format=%A
FormatLocale=Local
TimeStamp=([MeasureTime:])+(#Modificator#)
DynamicVariables=1
UpdateDivider=-1 

[MDay1]
Measure=Time
Format=%a
FormatLocale=Local
TimeStamp=([MeasureTime:])+(#Modificator#)
DynamicVariables=1
UpdateDivider=-1 

[MeasureWeekday]
Measure=Time
Format=%#w
FormatLocale=Local
TimeStamp=([MeasureTime:])+(#Modificator#)
DynamicVariables=1
UpdateDivider=-1 

[MMonth1]
Measure=Time
Format=%B
FormatLocale=Local
TimeStamp=([MeasureTime:])+(#Modificator#)
DynamicVariables=1
RegExpSubstitute=1
UpdateDivider=-1 

[MeasureMonth]
Measure=Time
Format=%m
TimeStamp=([MeasureTime:])+(#Modificator#)
DynamicVariables=1
RegExpSubstitute=1
UpdateDivider=-1 

[MeasureYear]
Measure=Time
Format=%Y
FormatLocale=Local
TimeStamp=([MeasureTime:])+(#Modificator#)
DynamicVariables=1
UpdateDivider=-1 

[MonthStartDay]
Measure=Calc
Formula=MeasureDay>0?(((MeasureWeekday=0?7:MeasureWeekday)-MeasureDay%7+8)%7):0+(#Modificator#)
RegExpSubstitute=1
UpdateDivider=-1 

[DaysInMonth]
Measure=Calc
Formula=((MeasureMonth=1) || (MeasureMonth=3) || (MeasureMonth=5) || (MeasureMonth=7) || (MeasureMonth=8) || (MeasureMonth=10) || (MeasureMonth=12) ? 31 : ((MeasureMonth=4) || (MeasureMonth=6) || (MeasureMonth=9) || (MeasureMonth=11) ? 30 : (((MeasureYear%4=0) && (MeasureYear%100<>0)) || (MeasureYear%400=0) ? 29 : 28)))+(#Modificator#)
UpdateDivider=-1

[DaysInPrevMonth]
Measure=Calc
Formula=((MeasureMonth=2) || (MeasureMonth=4) || (MeasureMonth=6) || (MeasureMonth=8) || (MeasureMonth=9) || (MeasureMonth=11) || (MeasureMonth=1) ? 31 : ((MeasureMonth=5) || (MeasureMonth=7) || (MeasureMonth=10) || (MeasureMonth=12) ? 30 : (((MeasureYear%4=0) && (MeasureYear%100<>0)) || (MeasureYear%400=0) ? 29 : 28)))+(#Modificator#)
UpdateDivider=-1

[DaysInNextMonth]
Measure=Calc
Formula=((MeasureMonth=12) || (MeasureMonth=2) || (MeasureMonth=4) || (MeasureMonth=6) || (MeasureMonth=7) || (MeasureMonth=9) || (MeasureMonth=11) ? 31 : ((MeasureMonth=3) || (MeasureMonth=5) || (MeasureMonth=8) || (MeasureMonth=10) ? 30 : (((MeasureYear%4=0) && (MeasureYear%100<>0)) || (MeasureYear%400=0) ? 29 : 28)))+(#Modificator#)
UpdateDivider=-1 

[MeasureModificator]
Measure=Time
Format=%b%Y
TimeStamp=([MeasureTime:])+(#Modificator#)
DynamicVariables=1
RegExpSubstitute=1
Substitute="1972":"Y","1976":"Y","1980":"Y","1984":"Y","1988":"Y","1992":"Y","1996":"Y","2000":"Y","2004":"Y","2008":"Y","2012":"Y","2016":"Y","2020":"Y","2024":"Y","2028":"Y","2032":"Y","2036":"Y","2040":"Y","2044":"Y","2048":"Y","2052":"Y","2056":"Y","2064":"Y","2068":"Y","2072":"Y","\d":"","Jan":"31","^Feb$":"28","FebY":"29","Mar":"31","Apr":"30","May":"31","Jun":"30","Jul":"31","Aug":"31","Sep":"30","Oct":"31","Nov":"30","Dec":"31","Y":""
UpdateDivider=-1

[MeasureModificatorMinus]
Measure=Time
Format=%b%Y
TimeStamp=([MeasureTime:])+(#Modificator#)
DynamicVariables=1
RegExpSubstitute=1
Substitute="1972":"Y","1976":"Y","1980":"Y","1984":"Y","1988":"Y","1992":"Y","1996":"Y","2000":"Y","2004":"Y","2008":"Y","2012":"Y","2016":"Y","2020":"Y","2024":"Y","2028":"Y","2032":"Y","2036":"Y","2040":"Y","2044":"Y","2048":"Y","2052":"Y","2056":"Y","2064":"Y","2068":"Y","2072":"Y","\d":"","Jan":"31","Feb":"31","MarY":"29","^Mar$":"28","Apr":"31","May":"30","Jun":"31","Jul":"30","Aug":"31","Sep":"31","Oct":"30","Nov":"31","Dec":"30","Y":""
UpdateDivider=-1

;Weekday

[DaysW]
Measure=Calc
IfCondition=MeasureWeekday=0
IfTrueAction=[#S02# Weekday1 #F01#  #DA1#][#M01# 8 19 SC3]
IfFalseAction=[#S02# Weekday1 #F01# #FBB#]
IfCondition2=MeasureWeekday=1
IfTrueAction2=[#S02# Weekday2 #F01#  #DA1#][#M01# 28 19 SC3]
IfFalseAction2=[#S02# Weekday2 #F01# #FBB#]
IfCondition3=MeasureWeekday=2
IfTrueAction3=[#S02# Weekday3 #F01#  #DA1#][#M01# 50 19 SC3]
IfFalseAction3=[#S02# Weekday3 #F01# #FBB#]
IfCondition4=MeasureWeekday=3
IfTrueAction4=[#S02# Weekday4 #F01#  #DA1#][#M01# 73 19 SC3]
IfFalseAction4=[#S02# Weekday4 #F01# #FBB#]
IfCondition5=MeasureWeekday=4
IfTrueAction5=[#S02# Weekday5 #F01#  #DA1#][#M01# 95 19 SC3]
IfFalseAction5=[#S02# Weekday5 #F01# #FBB#]
IfCondition6=MeasureWeekday=5
IfTrueAction6=[#S02# Weekday6 #F01#  #DA1#][#M01# 116 19 SC3]
IfFalseAction6=[#S02# Weekday6 #F01# #FBB#]
IfCondition7=MeasureWeekday=6
IfTrueAction7=[#S02# Weekday7 #F01#  #DA1#][#M01# 138 19 SC3]
IfFalseAction7=[#S02# Weekday7 #F01# #FBB#]
UpdateDivider=-1 

[MeterDay]
Meter=String
MeterStyle=Style2
MeasureName=MDay1
MeasureName2=MMonth1
MeasureName3=MeasureYear
Text=%1 %2, %3
X=8
Y=1

[GMW]
X=21r
Y=r
DynamicVariables=1
Stringstyle=Bold
ToolTipType=1
UpdateDivider=-1

[Weekday1]
Meter=String
MeterStyle=StyleC|GMW
Text=#Su#
X=8
Y=18

[Weekday2]
Meter=String
MeterStyle=StyleC|GMW
Text=#Mo#
X=20r

[Weekday3]
Meter=String
MeterStyle=StyleC|GMW
Text=#Tu#
X=22r

[Weekday4]
Meter=String
MeterStyle=StyleC|GMW
Text=#We#
X=22r

[Weekday5]
Meter=String
MeterStyle=StyleC|GMW
Text=#Th#
X=22r

[Weekday6]
Meter=String
MeterStyle=StyleC|GMW
Text=#Fr#
X=23r

[Weekday7]
Meter=String
MeterStyle=StyleC|GMW
Text=#Sa#
X=21r

;Measures Week 1

[MA1]
Measure=Calc
Formula=((MonthStartDay>0) && (#MISR#=0)?DaysInPrevMonth+1:1)-MonthStartDay+(#MISR#?7:0)+(#Modificator#)
UpdateDivider=-1

[MA1+]
Measure=Calc
Formula=(Ma1>1) && (#MISR#=0)?(-1):((Ma1=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#" 
RegExpSubstitute=1
UpdateDivider=-1

[MA2]
Measure=Calc
Formula=(MonthStartDay>1?DaysInPrevMonth+2:2)-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MA2+]
Measure=Calc
Formula=Ma2>2?(-1):((Ma2=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MA3]
Measure=Calc
Formula=(MonthStartDay>2?DaysInPrevMonth+3:3)-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MA3+]
Measure=Calc
Formula=Ma3>3?(-1):((Ma3=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MA4]
Measure=Calc
Formula=(MonthStartDay>3?DaysInPrevMonth+4:4)-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MA4+]
Measure=Calc
Formula=Ma4>4?(-1):((Ma4=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MA5]
Measure=Calc
Formula=(MonthStartDay>4?DaysInPrevMonth+5:5)-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MA5+]
Measure=Calc
Formula=Ma5>5?(-1):((Ma5=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MA6]
Measure=Calc
Formula=(MonthStartDay>5?DaysInPrevMonth+6:6)-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MA6+]
Measure=Calc
Formula=Ma6>6?(-1):((Ma6=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MA7]
Measure=Calc
Formula=((MonthStartDay=0) && (#MISR#=1)?DaysInPrevMonth+7:7)-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MA7+]
Measure=Calc
Formula=Ma7>7?(-1):((Ma7=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

;Measures Week 2

[MB1]
Measure=Calc
Formula=8-MonthStartDay+(#MISR#?7:0)+(#Modificator#)
UpdateDivider=-1

[MB1+]
Measure=Calc
Formula=((MB1=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MB2]
Measure=Calc
Formula=9-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MB2+]
Measure=Calc
Formula=((MB2=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MB3]
Measure=Calc
Formula=10-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MB3+]
Measure=Calc
Formula=((MB3=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MB4]
Measure=Calc
Formula=11-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MB4+]
Measure=Calc
Formula=((MB4=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MB5]
Measure=Calc
Formula=12-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MB5+]
Measure=Calc
Formula=((MB5=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MB6]
Measure=Calc
Formula=13-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MB6+]
Measure=Calc
Formula=((MB6=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MB7]
Measure=Calc
Formula=14-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MB7+]
Measure=Calc
Formula=((MB7=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

;Measures Week 3

[MC1]
Measure=Calc
Formula=15-MonthStartDay+(#MISR#?7:0)+(#Modificator#)
UpdateDivider=-1

[MC1+]
Measure=Calc
Formula=((MC1=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MC2]
Measure=Calc
Formula=16-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MC2+]
Measure=Calc
Formula=((MC2=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MC3]
Measure=Calc
Formula=17-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MC3+]
Measure=Calc
Formula=((MC3=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MC4]
Measure=Calc
Formula=18-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MC4+]
Measure=Calc
Formula=((MC4=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MC5]
Measure=Calc
Formula=19-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MC5+]
Measure=Calc
Formula=((MC5=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MC6]
Measure=Calc
Formula=20-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MC6+]
Measure=Calc
Formula=((MC6=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MC7]
Measure=Calc
Formula=21-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MC7+]
Measure=Calc
Formula=((MC7=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

;Measures Week 4

[MD1]
Measure=Calc
Formula=22-MonthStartDay+(#MISR#?7:0)+(#Modificator#)
UpdateDivider=-1

[MD1+]
Measure=Calc
Formula=((MD1=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MD2]
Measure=Calc
Formula=23-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MD2+]
Measure=Calc
Formula=((MD2=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MD3]
Measure=Calc
Formula=24-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MD3+]
Measure=Calc
Formula=((MD3=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MD4]
Measure=Calc
Formula=25-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MD4+]
Measure=Calc
Formula=((MD4=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MD5]
Measure=Calc
Formula=26-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MD5+]
Measure=Calc
Formula=((MD5=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MD6]
Measure=Calc
Formula=27-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MD6+]
Measure=Calc
Formula=((MD6=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

[MD7]
Measure=Calc
Formula=28-MonthStartDay+(#Modificator#)
UpdateDivider=-1

[MD7+]
Measure=Calc
Formula=((MD7=MeasureDay) ? -1 : -2)+(#Modificator#)
Substitute="-1":"#DA1#","-2":"#FBB#"
RegExpSubstitute=1
UpdateDivider=-1

;Measures Week 5

[ME1]
Measure=Calc
Formula=29-MonthStartDay+(#MISR#?7:0)-(29-MonthStartDay+(#MISR#?7:0)>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[ME1+]
Measure=Calc
Formula=Me1<15?(-1):((Me1=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[ME2]
Measure=Calc
Formula=30-MonthStartDay-(30-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[ME2+]
Measure=Calc
Formula=Me2<15?(-1):((Me2=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[ME3]
Measure=Calc
Formula=31-MonthStartDay-(31-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[ME3+]
Measure=Calc
Formula=Me3<15?(-1):((Me3=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[ME4]
Measure=Calc
Formula=32-MonthStartDay-(32-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[ME4+]
Measure=Calc
Formula=Me4<15?(-1):((Me4=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[ME5]
Measure=Calc
Formula=33-MonthStartDay-(33-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[ME5+]
Measure=Calc
Formula=Me5<15?(-1):((Me5=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[ME6]
Measure=Calc
Formula=34-MonthStartDay-(34-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[ME6+]
Measure=Calc
Formula=Me6<15?(-1):((Me6=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[ME7]
Measure=Calc
Formula=35-MonthStartDay-(35-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[ME7+]
Measure=Calc
Formula=Me7<15?(-1):((Me7=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

;Measures Week 6

[MF1]
Measure=Calc
Formula=36-MonthStartDay+(#MISR#?7:0)-(36-MonthStartDay+(#MISR#?7:0)>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[MF1+]
Measure=Calc
Formula=MF1<15?(-1):((MF1=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MF2]
Measure=Calc
Formula=37-MonthStartDay-(37-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[MF2+]
Measure=Calc
Formula=MF2<15?(-1):((MF2=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MF3]
Measure=Calc
Formula=38-MonthStartDay-(38-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[MF3+]
Measure=Calc
Formula=MF3<15?(-1):((MF3=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MF4]
Measure=Calc
Formula=39-MonthStartDay-(39-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[MF4+]
Measure=Calc
Formula=MF4<15?(-1):((MF4=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MF5]
Measure=Calc
Formula=40-MonthStartDay-(40-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[MF5+]
Measure=Calc
Formula=MF5<15?(-1):((MF5=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MF6]
Measure=Calc
Formula=41-MonthStartDay-(41-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[MF6+]
Measure=Calc
Formula=MF6<15?(-1):((MF6=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

[MF7]
Measure=Calc
Formula=42-MonthStartDay-(42-MonthStartDay>DaysInMonth?DaysInMonth:0)+(#Modificator#)
UpdateDivider=-1

[MF7+]
Measure=Calc
Formula=MF7<15?(-1):((MF7=MeasureDay) ? -4 : -2)+(#Modificator#)
Substitute="-1":"#FBD#,120","-2":"#FBB#","-3":"0,0,0,1","-4":"#DA1#"
RegExpSubstitute=1
UpdateDivider=-1

;Meter Weeks

[GMD]
X=22r
Y=r
DynamicVariables=1
StringAlign=Center
UpdateDivider=-1

;Week1

[1Week1]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MA1
FontColor=[MA1+]
X=13
Y=19r

[1Week2]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MA2
FontColor=[MA2+]

[1Week3]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MA3
FontColor=[MA3+]

[1Week4]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MA4
FontColor=[MA4+]

[1Week5]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MA5
FontColor=[MA5+]

[1Week6]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MA6
FontColor=[MA6+]

[1Week7]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MA7
FontColor=[MA7+]

;Week2

[2Week1]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MB1
FontColor=[MB1+]
X=13
Y=16r

[2Week2]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MB2
FontColor=[MB2+]

[2Week3]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MB3
FontColor=[MB3+]

[2Week4]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MB4
FontColor=[MB4+]

[2Week5]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MB5
FontColor=[MB5+]

[2Week6]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MB6
FontColor=[MB6+]

[2Week7]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MB7
FontColor=[MB7+]

;Week3

[3Week1]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MC1
FontColor=[MC1+]
X=13
Y=16r

[3Week2]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MC2
FontColor=[MC2+]

[3Week3]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MC3
FontColor=[MC3+]

[3Week4]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MC4
FontColor=[MC4+]

[3Week5]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MC5
FontColor=[MC5+]

[3Week6]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MC6
FontColor=[MC6+]

[3Week7]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MC7
FontColor=[MC7+]

;Week4

[4Week1]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MD1
FontColor=[MD1+]
X=13
Y=16r

[4Week2]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MD2
FontColor=[MD2+]

[4Week3]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MD3
FontColor=[MD3+]

[4Week4]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MD4
FontColor=[MD4+]

[4Week5]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MD5
FontColor=[MD5+]

[4Week6]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MD6
FontColor=[MD6+]

[4Week7]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MD7
FontColor=[MD7+]

;Week5

[5Week1]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=ME1
FontColor=[ME1+]
X=13
Y=16r

[5Week2]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=ME2
FontColor=[ME2+]

[5Week3]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=ME3
FontColor=[ME3+]

[5Week4]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=ME4
FontColor=[ME4+]

[5Week5]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=ME5
FontColor=[ME5+]

[5Week6]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=ME6
FontColor=[ME6+]

[5Week7]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=ME7
FontColor=[ME7+]

;Week6

[6Week1]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MF1
FontColor=[MF1+]
X=13
Y=16r

[6Week2]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MF2
FontColor=[MF2+]

[6Week3]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MF3
FontColor=[MF3+]

[6Week4]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MF4
FontColor=[MF4+]

[6Week5]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MF5
FontColor=[MF5+]

[6Week6]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MF6
FontColor=[MF6+]

[6Week7]
Meter=String
MeterStyle=StyleC|GMD
MeasureName=MF7
FontColor=[MF7+]

;Options

[Previous]
Meter=Shape
MeterStyle=BRG1|GCont
LeftMouseUpAction=[!SetVariable Modificator ((#Modificator#)-(([MeasureModificatorMinus])*86400))][!UpdateMeasure *][!UpdateMeter *][!Redraw]

Y=50

[Return]
Meter=Shape
MeterStyle=BRG1|GCont
ToolTipType=1
Tooltiptext=#CF4C#
LeftMouseUpAction=[!SetVariable Modificator 0][!UpdateMeasure *][!UpdateMeter *][!Redraw]

[Next]
Meter=Shape
MeterStyle=BRG1|GCont
TooltipText=#CF2C#
LeftMouseUpAction=[!SetVariable Modificator ((#Modificator#)+(([MeasureModificator])*86400))][!UpdateMeasure *][!UpdateMeter *][!Redraw]


[GCont]
X=158
Y=20r
MouseOverAction=[!SetOption #CURRENTSECTION# Scale1 "Scale 1.2,1.2,1.2,1.2"][!SetOption #CURRENTSECTION# X "160"][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption #CURRENTSECTION# Scale1 ""][!SetOption #CURRENTSECTION# X ""][!UpdateMeter #CURRENTSECTION#][!Redraw]
DynamicVariables=1

